Bug 882639 - Option "EnableBrightnessControl=1" in xorg.conf not working in last updates
Option "EnableBrightnessControl=1" in xorg.conf not working in last updates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-02 07:54 EST by YR
Modified: 2013-02-26 10:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:18:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description YR 2012-12-02 07:54:38 EST
Description of problem: Starting with kernel 3.6.7. drivers the Option "RegistryDwords" "EnableBrightnessControl = 1" in xorg.conf is not working. This means that the brightness control on the  NVidia cards with akmod-nvidia & kmod-nvidia drivers no longer works.
 

Version-Release number of selected component (if applicable): Fedora 16, kernel and driverы 3.6.7-4 


How reproducible: 1) Add " Option "RegistryDwords" "EnableBrightnessControl=1" " on section "Device" in xorg.conf, then press appropriate keys (Fn+Home/Bright Up  or Fn+Home/Bright Done).


Steps to Reproduce:
1. Add line "RegistryDwords" "EnableBrightnessControl=1" in "Device" section of xorg.conf, then reboot
2. Press Fn+Home/Bright Up
3. Press Fn+Home/Bright Down
  
Actual results: Nothing happens


Expected results: Brightness Up/Down


Additional info: ThinkPad T410, Fedora 16-1 Ru, 3.6.7-4, akmod NVidia or kmod NVidia drivers from official repo; all other video functions (GL Cube etc.) still working fine
Comment 1 Fedora End Of Life 2013-01-16 16:07:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-26 10:18:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.